summary: An X Window System tool for creating morphed images.
Name: xmorph
Version: 2000.03.03
Release: 6mdk
Copyright: GPL
Group: Graphics
BuildRequires: XFree86-devel gimp-libgimp
Source0: ftp://ftp.x.org/contrib/graphics/xmorph-2000mar03.tar.bz2
Source1: %{name}
Source2: icons-%{name}.tar.bz2
Patch0: xmorph-makefile.patch.bz2
Patch1: xmorph-glibc.patch.bz2
Patch2: xmorph-extern.patch.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Xmorph is a digital image warping (aka morphing) program.  Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs:  changing one image into another.  Xmorph runs under the
X Window System.

Install the xmorph package if you need a program that will create morphed
images.

%prep
%setup -q -n xmorph-2000mar03
%patch0 -p1 -b .make
%patch1 -p1 -b .glibc
%patch2 -p1 -b .extern

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" || :

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}

install -s xmorph $RPM_BUILD_ROOT/usr/X11R6/bin
install xmorph.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xmorph.1
chmod -x $RPM_BUILD_ROOT/usr/X11R6/man/man1/xmorph.1*
#mdk menu 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%update_menus
  
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HISTORY
/usr/X11R6/bin/xmorph
/usr/X11R6/man/man1/xmorph.1*
%{_menudir}
%{_iconsdir}

%changelog
* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 2000.03.03-6mdk
- icons should be transparents!
- macrozifications

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2000.03.03-5mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2000.03.03-4mdk
- Corrected icones.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2000.03.03-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2000.03.03-2mdk
- Added menu entry.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 2000.03.03-1mdk
- Update to 2000mar03

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
